Importing data from external systems (like GitHub, JIRA, Trac, Asana, Trello, etc.)
Open, LowPublic

Subscribers
Tokens
"Love" token, awarded by anda."Mountain of Wealth" token, awarded by nemobis."The World Burns" token, awarded by g-p-g."Love" token, awarded by noisy.
Assigned To
None
Authored By
epriestley, May 12 2013

Description

Metatask to discuss importing data from other systems like GitHub, Trac, JIRA, and Asana.

There are a very large number of changes, so older changes are hidden. Show Older Changes
spage added a subscriber: spage.Feb 23 2015, 8:09 AM

some examples from what we did might help. I'd only go down that path if you have significant expertise in the source system and phabricator

Artifacts at: D10754 P1403 P1404 P1405 P1406 P1407

Hi, thanks! I did adapt your P1407 export_trac.py for a Trello card importer for a team at Wikimedia Foundation, ineptly gluing together your card.figure_stuff_out() TrelloCard, TrelloDAO, and TrelloScrubber objects to chase.mp's Python code calling the Phabricator API. After you wrote that code Trello apparently changed its JSON board export format slightly. More details for the brave at https://phabricator.wikimedia.org/T821 and https://gerrit.wikimedia.org/r/#/c/179057/ (but no fantastic ASCII art dragons :) ).

epriestley changed the visibility from "All Users" to "Public (No Login Required)".Mar 5 2015, 7:29 PM
Pawka added a subscriber: Pawka.Mar 26 2015, 8:45 AM
epriestley closed subtask Restricted Maniphest Task as "Resolved".Mar 27 2015, 12:39 PM
eadler added a subscriber: eadler.Apr 23 2015, 6:10 AM
anda added a subscriber: anda.May 2 2015, 6:04 AM
anda added a comment.May 2 2015, 6:08 AM

Has anybody heard of someone migrating jira issues to phabricator? We're thinking about doing that, and of there were some example scripts for the import to start with, that Spaulding be great.

We probably have around 1500 issues to migrate, with a few different jira project names /labels. Of guess that this would best be translated to a label in phabricator.

anda awarded a token.May 4 2015, 8:46 PM
fanis added a subscriber: fanis.May 22 2015, 2:49 PM
dgfitch added a subscriber: dgfitch.Jun 1 2015, 8:41 PM

Fogbugz to Phabricator import script: P1795

  • Logic is pretty minimal; it does not import everything, but it gets the bulk of the important stuff.
  • Priorities may be a bit wacky.
  • Comments are brought in as part of the description instead of individual Maniphest task comments.
  • Formatting of long comments: also wacky.
  • Extend as needed.

I wrote a simple github to phabricator import script if anyone is interested : https://github.com/kakaroto/github_to_phabricator

SeMeKh removed a subscriber: SeMeKh.Aug 3 2015, 6:58 PM
fanis removed a subscriber: fanis.Aug 5 2015, 8:22 AM

Yet another set of scripts ...

Phill takes in an independent JSON + set-of-attachments and populates Maniphest with them. Jinson/Johill generate this JSON/attachments setup from JIRA XML backup dumps, and bztophill does the same from a Bugzilla dump. These aren't perfect (yet?), but have been working well enough for our uses thus far.

https://git.collabora.com/cgit/user/em/phabricator.git/tree/scripts/phill?h=phill
https://github.com/em-/jinson-and-johill
https://github.com/thiblahute/bztophill

Mayeu added a subscriber: Mayeu.Aug 31 2015, 4:47 PM
revi added a subscriber: revi.Sep 29 2015, 11:18 AM

Trac wiki import to Phabricator's Phriction.

Based on svemir's anser in https://secure.phabricator.com/Q12 a not to nice not perfect but more then nothing:

https://github.com/lfarkas/phabricator/blob/master/scripts/util/trac_wiki_import.php

carwyn added a subscriber: carwyn.Jan 25 2016, 3:22 AM
JOY added a subscriber: JOY.Feb 11 2016, 1:42 PM

Hi,

I'd love to have Redmine importer as well.

dolftax added a subscriber: dolftax.Mar 1 2016, 3:57 PM
In T3179#111010, @anda wrote:

Has anybody heard of someone migrating jira issues to phabricator? We're thinking about doing that, and of there were some example scripts for the import to start with, that Spaulding be great.

We probably have around 1500 issues to migrate, with a few different jira project names /labels. Of guess that this would best be translated to a label in phabricator.

Did you find a JIRA -> Phabricator migration script?

In T3179#111010, @anda wrote:

Has anybody heard of someone migrating jira issues to phabricator? We're thinking about doing that, and of there were some example scripts for the import to start with, that Spaulding be great.

We probably have around 1500 issues to migrate, with a few different jira project names /labels. Of guess that this would best be translated to a label in phabricator.

Did you find a JIRA -> Phabricator migration script?

Try this: https://secure.phabricator.com/T3179#131976

Kunda added a subscriber: Kunda.Apr 7 2016, 9:55 PM

Any MantisBT -> Phabricator migration scripts ?

lfarkas removed a subscriber: lfarkas.Apr 8 2016, 7:30 AM
urzds added a subscriber: urzds.May 17 2016, 6:26 PM
kebe added a subscriber: kebe.May 24 2016, 2:25 PM
PhabTab added a subscriber: PhabTab.EditedJun 22 2016, 2:55 PM

Unfortunately I cant import with phill. I get:

PHP Fatal error:  Call to undefined method PhabricatorContentSource::newConsoleSource() in /opt/bitnami/apps/phabricator/htdocs/phill.php on line 453

Why is phill referencing an old method? Last update of phill is 2015-09-10. Is there an alternative method?

Reproducing:

require_once $root.'/scripts/__init_script__.php';

to

require_once $root.'/phabricator/htdocs/scripts/__init_script__.php';
  • Execute using task.json:
./phill.php -i tasks.json
chad added a comment.Jun 22 2016, 3:12 PM

Neither phill nor Bitnami are upstream built/supported.

What could be the alternative method for

PhabricatorContentSource::newConsoleSource()

Was there a previous Phabricator version with this method? Which method replaced it?

What could be the alternative method for

PhabricatorContentSource::newConsoleSource()

Was there a previous Phabricator version with this method? Which method replaced it?

See https://secure.phabricator.com/w/consulting/ and T5447

chad added a comment.Jun 22 2016, 4:27 PM

@PhabTab Prefer this discussion to occur somewhere other than this task. See Support Resources under Community. But I think if you pull up PhabricatorContentSource in Diffusion and look at Commit History, you should find your answer.

nchammas removed a subscriber: nchammas.Jun 22 2016, 6:21 PM
nebm51 added a subscriber: nebm51.Jun 27 2016, 1:03 PM
Kwisatz added a subscriber: Kwisatz.EditedJul 31 2016, 9:29 PM

In case anyone is interested, we just released a first version of "remaim", a tool for migrating Redmine issues to Maniphest tasks. Pull Requests are very welcome! https://github.com/tentwentyfour/remaim

Alofoxx added a subscriber: Alofoxx.EditedAug 12 2016, 5:05 AM

For those moving from MantisBT into Phabricator Maniphest I'm activily building a full import web based tool that will extract just about anything from mantis, allow editing/ touching up, then process the import into a Phab conduit.

[nearly there.]
https://github.com/Alofoxx/MantisBT-2-Phabricator

In T3179#169180, @Kunda wrote:

Any MantisBT -> Phabricator migration scripts ?

If your still looking mine should be ready in a few days.

Hello to all,

I just finished migrated from JIRA to Phabricator using tool that I made. You can get the source code here: https://github.com/shuLhan/j2p

Hi all, is there a way to import tasks from an excel spreadsheet? Its often way faster to write tasks down in excel (for bug bashes, costing meetings, etc) and later import them into Phabricator.

@snaik phabricator doesn't currently support this. You can write your own however using PHPExcel. I can't see upstream supporting this as I can't imagine it would take significantly more time to just pull up muliple tabs unless the tickets are of very poor quality.

qgil removed a subscriber: qgil.Sep 15 2016, 7:32 AM

Trac wiki import to Phabricator's Phriction.

Based on svemir's anser in https://secure.phabricator.com/Q12 a not to nice not perfect but more then nothing:

https://github.com/lfarkas/phabricator/blob/master/scripts/util/trac_wiki_import.php

@lfarkas the Github link results in a 404. Do you still have a copy of this script? I am in need of a Trac Wiki importer and yours seems the only one available. Or does anyone else have a working script?

Thanks in advance.

1stone added a subscriber: 1stone.Dec 5 2016, 8:26 PM
1stone added a comment.Dec 5 2016, 8:36 PM

Hi folks,

I'm currently working on a migration from Gitblit tickets to Phabricator tasks.

As Gitblit also supports linking particular commits with tasks, I would like to transfer this information too.
So far I'm using the Conduit maniphest.edit method to pull everything over.
However, I found no (documented) way so far to link a commit with a task, other than doing this manually on the web-ui.

Is there any undocumented transaction type, that can be used for that?

Trac wiki import to Phabricator's Phriction.

Based on svemir's anser in https://secure.phabricator.com/Q12 a not to nice not perfect but more then nothing:

https://github.com/lfarkas/phabricator/blob/master/scripts/util/trac_wiki_import.php

@lfarkas the Github link results in a 404. Do you still have a copy of this script? I am in need of a Trac Wiki importer and yours seems the only one available. Or does anyone else have a working script?

Thanks in advance.

unfortunately i lost it:-(

lfarkas removed a subscriber: lfarkas.Dec 5 2016, 8:50 PM